Debian Bug report logs - #578310
Game aborts during start.

version graph

Package: oolite; Maintainer for oolite is Nicolas Boulenguez <nicolas@debian.org>; Source for oolite is src:oolite.

Reported by: "Artur R. Czechowski" <arturcz@hell.pl>

Date: Sun, 18 Apr 2010 19:51:02 UTC

Severity: important

Found in version oolite/1.65-6

Fixed in version oolite/1.65-7

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#578310; Package oolite. (Sun, 18 Apr 2010 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 18 Apr 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Game aborts during start.
Date: Sun, 18 Apr 2010 21:48:13 +0200
Package: oolite
Version: 1.65-6+b2
Severity: important

Game crashes during start.

arturcz@szczaw:~$ oolite 
2010-04-18 21:37:00.232 oolite[13111] initialising SDL
2010-04-18 21:37:00.287 oolite[13111] init: numSticks=1
2010-04-18 21:37:00.287 oolite[13111] CREATING MODE LIST
2010-04-18 21:37:00.287 oolite[13111] Added res 1152 x 864
2010-04-18 21:37:00.287 oolite[13111] Added res 1024 x 768
2010-04-18 21:37:00.287 oolite[13111] Added res 960 x 600
2010-04-18 21:37:00.287 oolite[13111] Added res 840 x 525
2010-04-18 21:37:00.287 oolite[13111] Added res 832 x 624
2010-04-18 21:37:00.287 oolite[13111] Added res 800 x 600
2010-04-18 21:37:00.287 oolite[13111] Added res 720 x 450
2010-04-18 21:37:00.287 oolite[13111] Added res 700 x 525
2010-04-18 21:37:00.287 oolite[13111] Added res 680 x 384
2010-04-18 21:37:00.287 oolite[13111] Added res 640 x 480
2010-04-18 21:37:00.287 oolite[13111] Added res 512 x 384
2010-04-18 21:37:00.288 oolite[13111] Added res 400 x 300
2010-04-18 21:37:00.288 oolite[13111] Added res 320 x 240
2010-04-18 21:37:00.288 oolite[13111] Found mode {Height = 1024; RefreshRate = 0; Width = 1280; }
2010-04-18 21:37:00.507 oolite[13111] drawRect calling initialiseGLWithSize
2010-04-18 21:37:00.507 oolite[13111] Creating a new surface of 800 x 600
2010-04-18 21:37:00.517 oolite[13111] no universe, clearning surface
2010-04-18 21:37:00.521 oolite[13111] ---> searching paths:
("/usr/lib/GNUstep/System/Applications/oolite.app/Contents/Resources", "/usr/lib/GNUstep/System/Applications/AddOns", "/home/arturcz/Library/Application Support/Oolite/AddOns", "/home/arturcz/.Oolite/AddOns")
2010-04-18 21:37:00.521 oolite[13111] DEBUG ** no cache exists - yet **
2010-04-18 21:37:00.707 oolite[13111] Vertex Array Range optimisation - not supported
2010-04-18 21:37:00.707 oolite[13111] DEBUG creating octree cache......
2010-04-18 21:37:00.924 oolite[13111] ***** Player 100 does not respond to 
2010-04-18 21:37:00.924 oolite[13111] ***** Player 100 does not respond to 
2010-04-18 21:37:00.924 oolite[13111] ***** Player 100 does not respond to 
2010-04-18 21:37:00.924 oolite[13111] DEBUG ** resetting track for <ShipEntity Player 100> **
Aborted
arturcz@szczaw:~$ echo $?
134


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages oolite depends on:
ii  gnustep-base-runtime         1.19.3-1    GNUstep Base library
ii  libc6                        2.10.2-6    Embedded GNU C Library: Shared lib
ii  libgcc1                      1:4.4.3-7   GCC support library
ii  libgl1-mesa-glx [libgl1]     7.7.1-1     A free implementation of the OpenG
ii  libglu1-mesa [libglu1]       7.7.1-1     The OpenGL utility library (GLU)
ii  libgnustep-base1.19          1.19.3-1    GNUstep Base library
ii  libobjc2                     4.4.3-7     Runtime library for GNU Objective-
ii  libsdl-image1.2              1.2.10-2+b1 image loading library for Simple D
ii  libsdl-mixer1.2              1.2.8-6+b1  mixer library for Simple DirectMed
ii  libsdl1.2debian              1.2.14-4+b1 Simple DirectMedia Layer
ii  oolite-data                  1.65-2      Data files for the space-sim game 

oolite recommends no packages.

oolite suggests no packages.

-- no debconf information

-- 
Artur R. Czechowski <arturcz@hell.pl>
GCS/IT dpu-(++) s-:-- a C++ UL++++$ P+++ L++(+++) E--- W++ N+(-) K- w
!O M- V? PE++ Y+ PGP++ t !5 X R tv--(-) b++ DI+++ D+ G e-(*) h++(---) r++ y+




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#578310; Package oolite. (Wed, 21 Apr 2010 19:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 21 Apr 2010 19:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 578310@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 578310@bugs.debian.org
Subject: Fix for #578310
Date: Wed, 21 Apr 2010 21:21:16 +0200
After recompiling the code using current sid the game works as a charm.

Regards
	Artur
-- 
<Przewdnik> Jesteś ultranormalny. Wyjebany w kosmos.
<Przewdnik> Idealista :)
<Przewdnik> I perfekcjonista :)
				/o mnie :)/




Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Thu, 08 Jul 2010 15:33:15 GMT) Full text and rfc822 format available.

Notification sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Bug acknowledged by developer. (Thu, 08 Jul 2010 15:33:15 GMT) Full text and rfc822 format available.

Message #15 received at 578310-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 578310-close@bugs.debian.org
Subject: Bug#578310: fixed in oolite 1.65-7
Date: Thu, 08 Jul 2010 15:32:55 +0000
Source: oolite
Source-Version: 1.65-7

We believe that the bug you reported is fixed in the latest version of
oolite, which is due to be installed in the Debian FTP archive:

oolite_1.65-7.debian.tar.gz
  to main/o/oolite/oolite_1.65-7.debian.tar.gz
oolite_1.65-7.dsc
  to main/o/oolite/oolite_1.65-7.dsc
oolite_1.65-7_i386.deb
  to main/o/oolite/oolite_1.65-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578310@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated oolite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 Jul 2010 16:16:52 +0200
Source: oolite
Binary: oolite
Architecture: source i386
Version: 1.65-7
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 oolite     - space-sim game Oolite ported to GNUStep/OpenGL linux
Closes: 578310
Changes: 
 oolite (1.65-7) unstable; urgency=low
 .
   [ Eddy Petrișor ]
   * properly install the lintian override
   * override the emty-dir lintian warning since we actually need and
     empty dir
 .
   [ Nicolas Boulenguez ]
   * Switch to dpkg-source 3.0 (quilt) format
   * rules: used debhelper overrides
   * moved non patch files from debian/patches to debian
   * renamed debhelper files (foo->oolite.foo) to comply to recent
     guidelines and prepare sharing source with oolite-data
   * removed dirs debhelper files, no more needed
   * control: added Homepage, Standards-Version 3.9.0, added myself to uploaders
   * copyright: added explicit copyright dates, broken very long lines.
   * doc-base: registered reference sheet
   * Closes: 578310 by recompilating with current headers
Checksums-Sha1: 
 7508ce1be3a25926fdc32af223a640800c6ec60c 1364 oolite_1.65-7.dsc
 18b7c720c515bbfad773cf53d63f17d8d1d7811e 17421 oolite_1.65-7.debian.tar.gz
 e302753de5aad5ca7c4d78340d81787b3e904b37 755140 oolite_1.65-7_i386.deb
Checksums-Sha256: 
 d5623c215294e73e7632f5e5e1f90c5e19bbf694fc08cb998e2c19594a9a13bc 1364 oolite_1.65-7.dsc
 d3bad4650504a2752a71ddf8b23520b09659ee622cc0ca5a287e1ee41132c8a5 17421 oolite_1.65-7.debian.tar.gz
 e365a5b08ac7b42dcf136c19eebd25b04271748df9c63dc59d6090fd56401762 755140 oolite_1.65-7_i386.deb
Files: 
 1798188c577c7f21770e46264c907c6a 1364 games optional oolite_1.65-7.dsc
 fc8570a6fe21e4b53a7817483a837d9f 17421 games optional oolite_1.65-7.debian.tar.gz
 fe2a1ca2b95bfb1420cb113709b31f62 755140 games optional oolite_1.65-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw16IMACgkQYDBbMcCf01rymACfRk23HD9TjD6ZHrXeGN5Bzox5
fesAn10ewK9Vhe4W4O6WNAB3Ta/uJnao
=n7VL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Aug 2010 07:30:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:51:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.